Name: drivel
Version: 2.0.3
Release: alt3.0

Summary: GNOME client for working with online journals, also known as blogs
License: GPL v2
Group: Networking/Other
Url: http://www.dropline.net/drivel/
Packager: Alex V. Myltsev <avm@altlinux.ru>

Source: %name-%version.tar.bz2
Patch0: %name-2.0.3-alt-md5.patch

BuildPreReq: libgnomeui-devel libglade2-devel libbonobo2-devel GConf2
BuildPreReq: libgtksourceview-devel desktop-file-utils libscrollkeeper-devel
BuildPreReq: libgtkspell-devel libcurl-devel libpopt-devel libSM-devel
BuildPreReq: libdbus-glib-devel

Requires(post): GConf2
Requires(post,postun): shared-mime-info desktop-file-utils scrollkeeper

%description
Drivel is a GNOME client for working with online journals, also known as
weblogs or simply blogs. It retains a simple and elegant design 
while providing many powerful features, including:
* Support for LiveJournal, Blogger, MovableType, Advogato, and Atom 
  journals (systems based off these are also supported,
  including WordPress and Drupal)
* The ability to post, edit, delete, and view recent entries
* Integrated spellchecking and HTML syntax highlighting
* Offline composition and editing
* Automatic recovery in the event of a crash
* Journal system extensions, including LiveJournal security groups and
  MovableType categories

%prep
%setup
%patch0 -p1
rm src/md5.[ch]

%build
%configure --disable-schemas-install \
	--disable-mime-update --disable-desktop-update \
	--with-gtkspell --with-dbus
%make

%install
%makeinstall
rm -rf %buildroot%_localstatedir/scrollkeeper \
	%buildroot%_datadir/application-registry
%find_lang %name --with-gnome

%post
%gconf2_install %name
%update_mimedb
%update_desktopdb
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
	%gconf2_uninstall %name
fi

%postun
%clean_mimedb
%clean_desktopdb
%clean_scrollkeeper

%files -f %name.lang
%_sysconfdir/gconf/schemas/%name.schemas
%_desktopdir/gnome-%name.desktop
%_datadir/%name
%_datadir/mime-info/%name.*
%_datadir/mime/packages/%name.xml
%_iconsdir/gnome/48x48/mimetypes/gnome-mime-application-x-%name.png
%_pixmapsdir/%name
%_pixmapsdir/%name-*.png
%_bindir/%name

%changelog
* Fri Mar 30 2007 ALT QA Team Robot <qa-robot@altlinux.org> 2.0.3-alt3.0
- Rebuilt due to libcurl.so.3 -> libcurl.so.4 soname change.

* Tue Aug 15 2006 Alex V. Myltsev <avm@altlinux.ru> 2.0.3-alt3
- New version: restores compatibility with LiveJournal, Blogger etc.

* Tue May 30 2006 Alex V. Myltsev <avm@altlinux.ru> 2.0.2-alt3
- Rebuild with Gnome2 libraries.

* Tue Apr 25 2006 Alex V. Myltsev <avm@altlinux.ru> 2.0.2-alt2
- Use MD5 functions from libcrypt.

* Fri Apr 21 2006 Alex V. Myltsev <avm@altlinux.ru> 2.0.2-alt1
- Initial build for Sisyphus.

